| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::ExifToolWidget Class Reference
Inheritance diagram for Digikam::ExifToolWidget:

## Public Types
enum | TagFilters { NONE = 0 , PHOTO , CUSTOM }

## Signals
void | signalSetupExifTool ()
void | signalSetupMetadataFilters ()

## Public Member Functions
| ExifToolWidget (QWidget *const parent)
QString | getCurrentItemKey () const
int | getMode () const
QStringList | getTagsFilter () const
void | loadFromUrl (const QUrl &url)
void | setCurrentItemByKey (const QString &itemKey)
void | setMode (int mode)
void | setTagsFilter (const QStringList &list)